import { MenuProps, MenuOptions } from "reakit/Menu/Menu";
import { MenuDisclosureProps, MenuDisclosureOptions } from "reakit/Menu/MenuDisclosure";
import { MenuItemCheckboxProps, MenuItemCheckboxOptions } from "reakit/Menu/MenuItemCheckbox";
import { MenuItemRadioProps, MenuItemRadioOptions } from "reakit/Menu/MenuItemRadio";
import { MenuGroupProps, MenuGroupOptions } from "reakit/Menu/MenuGroup";
import { StaticMenuProps, StaticMenuOptions } from "reakit/Menu/StaticMenu";
import { MenuItemOptions, MenuItemProps } from "reakit/Menu/MenuItem";
import { MenuStateReturn } from "reakit/Menu/MenuState";
import { BootstrapBoxOptions } from "./Box";
export declare type BootstrapStaticMenuOptions = BootstrapBoxOptions & StaticMenuOptions;
export declare function useStaticMenuProps(options: BootstrapStaticMenuOptions, htmlProps?: StaticMenuProps): StaticMenuProps;
export declare type BootstrapMenuItemOptions = BootstrapBoxOptions & MenuItemOptions;
export declare function useMenuItemProps({ unstable_system, ...options }: BootstrapMenuItemOptions, htmlProps?: MenuItemProps): MenuItemProps;
export declare type BootstrapMenuOptions = BootstrapBoxOptions & MenuOptions;
export declare function useMenuOptions({ unstable_system: { palette, fill, ...system }, ...options }: BootstrapMenuOptions): BootstrapMenuOptions;
export declare function useMenuProps(_: BootstrapMenuOptions, htmlProps?: MenuProps): MenuProps;
export declare type BootstrapMenuDisclosureOptions = BootstrapBoxOptions & MenuDisclosureOptions & Pick<Partial<MenuStateReturn>, "unstable_originalPlacement">;
export declare function useMenuDisclosureProps(options: BootstrapMenuDisclosureOptions, { children, ...htmlProps }?: MenuDisclosureProps): MenuDisclosureProps;
export declare type BootstrapMenuItemCheckboxOptions = BootstrapBoxOptions & MenuItemCheckboxOptions;
export declare function useMenuItemCheckboxProps(_: BootstrapMenuItemCheckboxOptions, htmlProps?: MenuItemCheckboxProps): MenuItemCheckboxProps;
export declare type BootstrapMenuItemRadioOptions = BootstrapBoxOptions & MenuItemRadioOptions;
export declare function useMenuItemRadioProps(_: BootstrapMenuItemRadioOptions, htmlProps?: MenuItemRadioProps): MenuItemRadioProps;
export declare type BootstrapMenuGroupOptions = BootstrapBoxOptions & MenuGroupOptions;
export declare function useMenuGroupProps(_: BootstrapMenuGroupOptions, htmlProps?: MenuGroupProps): MenuGroupProps;
